Index: trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs	(revision 484)
@@ -2405,7 +2405,7 @@
         /// <summary>
         /// 掲示板データセット
         /// </summary>
-        private void SetMessageBoardGrid(MessageBoardData wrkRow, int exeflg, string TergetName)
+        private void SetMessageBoardGrid(MessageBoardData wrkRow, int exeflg, string TergetName, bool Browsing)
         {
             try
             {
@@ -2415,11 +2415,10 @@
                 string strDateTime = string.Format("{0} {1}:{2}", wrkRow.WritingDate.ToShortDateString()
                                                                 , wrkRow.WritingDate.Hour.ToString("00")
                                                                 , wrkRow.WritingDate.Minute.ToString("00"));
-                int cnt = 0;
+                int cnt = dgv.Rows.Add(1);
+                DataGridViewRow CurRow = dgv.Rows[cnt];
                 if (exeflg == (int)TabNameEnum.MessageBoard)
                 {
-                    cnt = dgv.Rows.Add(1);
-                    DataGridViewRow CurRow = dgv.Rows[cnt];
                     CurRow.Cells[(int)MessageGridCount.RecordNumber].Value = wrkRow.RecordNumber;
                     CurRow.Cells[(int)MessageGridCount.BranchNumber].Value = wrkRow.BranchNumber;
                     CurRow.Cells[(int)MessageGridCount.FromName].Value = wrkRow.FromName;
@@ -2436,8 +2435,6 @@
                 }
                 else
                 {
-                    cnt = dgv.Rows.Add(1);
-                    DataGridViewRow CurRow = dgv.Rows[cnt];
                     CurRow.Cells[(int)MessageGridCount2.RecordNumber].Value = wrkRow.RecordNumber;
                     CurRow.Cells[(int)MessageGridCount2.BranchNumber].Value = wrkRow.BranchNumber;
                     CurRow.Cells[(int)MessageGridCount2.FromName].Value = wrkRow.FromName;
@@ -2467,6 +2464,20 @@
                     Color tmpcolor = ColorTranslator.FromHtml(wrkRow.BackColor);
                     dgv.Rows[cnt].Cells[(int)MessageGridCount.ToName].Style.BackColor = tmpcolor;
                 }
+
+                // 未読時は以下を処理しない
+                if (!Browsing) return;
+
+                // 既読時文字色変更
+                if (exeflg == (int)TabNameEnum.MessageBoard)
+                {
+                    CurRow.Cells[(int)MessageGridCount.MessageTitle].Style.ForeColor = Color.LightGray;
+                }
+                else
+                {
+                    CurRow.Cells[(int)MessageGridCount2.MessageTitle].Style.ForeColor = Color.LightGray;
+                    CurRow.Cells[(int)MessageGridCount2.MessageContent].Style.ForeColor = Color.LightGray;
+                }
             }
             catch (Exception ex)
             {
@@ -2484,15 +2495,22 @@
             try
             {
                 strSQL.Append("SELECT");
-                strSQL.Append(" A.*");
+                strSQL.AppendFormat(" {0}", IOMessageBoardData.CreateFieldNameList("A."));
                 strSQL.Append(", B.TONAME");
                 strSQL.Append(", B.TOCODE");
+                strSQL.Append(", DATE(C.BrowsingDate)");
                 strSQL.Append(" FROM");
-                strSQL.Append(" MESSAGEBOARDDATA A");
-                strSQL.Append(" INNER JOIN MESSAGEBOARDTERGET B");
+                strSQL.Append(" MESSAGEBOARDDATA As A");
+
+                strSQL.Append(" INNER JOIN MESSAGEBOARDTERGET As B");
                 strSQL.Append("        ON B.RECORDNUMBER = A.RECORDNUMBER");
                 strSQL.Append("        AND B.BRANCHNUMBER = A.BRANCHNUMBER");
 
+                strSQL.Append(" LEFT JOIN MESSAGEBROWSINGHISTORY As C");
+                strSQL.Append("       On C.RecordNumber = A.RecordNumber");
+                strSQL.Append("       And C.BranchNumber = A.BranchNumber");
+                strSQL.AppendFormat(" And C.BrowsingCode = {0}", CommonMotions.LoginUserData.PersonCode);
+
                 strSQL.Append(" Where");
                 switch (exeflg)
                 {
@@ -2737,6 +2755,8 @@
 
                 // 掲示板データフィールド数取得
                 int ToNameCnt = Enum.GetNames(typeof(IOMessageBoardData.ColumnCnt)).Length;
+                int ToCodeCnt = ToNameCnt + 1;
+                int nBrowsingDate = ToCodeCnt + 1;
                 // 部署引継色を文字列で取得
                 string cBackColor = String.Format("0x{0:X2}{1:X2}{2:X2}", CommonDefine.s_SuccessionBackColor.R
                                                         , CommonDefine.s_SuccessionBackColor.G
@@ -2750,6 +2770,7 @@
                 mbdDB.Reader2Struct(firstRec, ref wrkRow);
                 StringBuilder TergetName = new StringBuilder();
                 List<int> TergetCode = new List<int>();
+                bool bBrowsing = false;
                 foreach (object[] DataRec in mbdData)
                 {
                     // 同じメッセージならば相手先を結合する
@@ -2759,7 +2780,12 @@
                     {
                         if (TergetName.Length != 0) TergetName.Append(",");
                         TergetName.Append(CommonMotions.cnvString(DataRec[ToNameCnt]));
-                        TergetCode.Add(CommonMotions.cnvInt(DataRec[ToNameCnt + 1]));
+                        TergetCode.Add(CommonMotions.cnvInt(DataRec[ToCodeCnt]));
+                        // 閲覧日付確認
+                        if (CommonMotions.cnvDate(DataRec[nBrowsingDate]) == DateTime.MinValue.Date)
+                            bBrowsing = false;
+                        else
+                            bBrowsing = true;
                         continue;
                     }
 
@@ -2774,14 +2800,6 @@
                             bool bMatch = false;
                             int nDataCnt = TergetCode.Where(x => x == CommonMotions.LoginUserData.PersonCode).Count();
                             if (nDataCnt > 0) bMatch = true;
-                            //foreach (int CurCode in TergetCode)
-                            //{
-                            //    if (CurCode == CommonMotions.LoginUserData.PersonCode)
-                            //    {
-                            //        bMatch = true;
-                            //        break;
-                            //    }
-                            //}
                             // 書込み者がログイン者
                             if (wrkRow.FromCode == CommonMotions.LoginUserData.PersonCode) bMatch = true;
 
@@ -2791,7 +2809,7 @@
                     }
 
                     // データセット
-                    SetMessageBoardGrid(wrkRow, exeflg, TergetName.ToString());
+                    SetMessageBoardGrid(wrkRow, exeflg, TergetName.ToString(), bBrowsing);
                     nProgCount++;
 
                 AfterSet:
@@ -2805,7 +2823,12 @@
                     TergetName.Clear();
                     TergetCode.Clear();
                     TergetName.Append(CommonMotions.cnvString(DataRec[ToNameCnt]));
-                    TergetCode.Add(CommonMotions.cnvInt(DataRec[ToNameCnt+1]));
+                    TergetCode.Add(CommonMotions.cnvInt(DataRec[ToCodeCnt]));
+                    // 閲覧日付確認
+                    if (CommonMotions.cnvDate(DataRec[nBrowsingDate]) == DateTime.MinValue.Date)
+                        bBrowsing = false;
+                    else
+                        bBrowsing = true;
 
                     // ProgressBarの値を変更する
                     prgber.Value = nProgCount;
@@ -2815,7 +2838,7 @@
                 if (TergetName.Length != 0)
                 {
                     // データセット
-                    SetMessageBoardGrid(wrkRow, exeflg, TergetName.ToString());
+                    SetMessageBoardGrid(wrkRow, exeflg, TergetName.ToString(), bBrowsing);
                 }
 
                 // ProgressBarの値を変更する
@@ -4175,8 +4198,8 @@
                 strSQL.Append(", A.ENDDATE");
                 strSQL.Append(", G.APPROVALCODE");
                 strSQL.Append(", IFNULL(G.APPROVALSTATUS, -1)");
-                strSQL.Append(", A.*");
-                strSQL.Append(", Btbl.*");
+                strSQL.AppendFormat(", {0}", IOConstructionBaseInfo.CreateFieldNameList("A."));
+                strSQL.AppendFormat(", {0}", IOPeriodAvoidance.CreateFieldNameList("Btbl."));
                 strSQL.Append(" FROM CONSTRUCTIONBASEINFO A");
 
                 // 工事検索時は検索画面の値をセットする
@@ -4448,8 +4471,8 @@
                 strSQL.Append(", A.ENDDATE");
                 strSQL.Append(", G.APPROVALCODE");
                 strSQL.Append(", IFNULL(G.APPROVALSTATUS, -1)");
-                strSQL.Append(", A.*");
-                strSQL.Append(", Btbl.*");
+                strSQL.AppendFormat(", {0}", IOConstructionBaseInfo.CreateFieldNameList("A."));
+                strSQL.AppendFormat(", {0}", IOPeriodAvoidance.CreateFieldNameList("Btbl."));
                 strSQL.Append(" FROM CONSTRUCTIONBASEINFO A");
 
                 // 工事検索時は検索画面の値をセットする
@@ -4701,8 +4724,18 @@
                 else
                     strSQL.Append(", A.ConstructionYear");
 
-                strSQL.Append(", B.DETAILNO, B.DETAILSTRING, A.ConstructionStatusFlg,");
-                strSQL.Append(" A.EstimatesSubmitDeadline, C.PERSONNAME, D.PERSONNAME, A.STARTDATE, A.ENDDATE, G.APPROVALCODE, IFNULL(G.APPROVALSTATUS, -1), A.*, Btbl.*");
+                strSQL.Append(", B.DETAILNO");
+                strSQL.Append(", B.DETAILSTRING");
+                strSQL.Append(", A.ConstructionStatusFlg");
+                strSQL.Append(", A.EstimatesSubmitDeadline");
+                strSQL.Append(", C.PERSONNAME");
+                strSQL.Append(", D.PERSONNAME");
+                strSQL.Append(", A.STARTDATE");
+                strSQL.Append(", A.ENDDATE");
+                strSQL.Append(", G.APPROVALCODE");
+                strSQL.Append(", IFNULL(G.APPROVALSTATUS, -1)");
+                strSQL.AppendFormat(", {0}", IOConstructionBaseInfo.CreateFieldNameList("A."));
+                strSQL.AppendFormat(", {0}", IOPeriodAvoidance.CreateFieldNameList("Btbl."));
                 strSQL.Append(" FROM CONSTRUCTIONBASEINFO A");
 
                 // 工事検索時は検索画面の値をセットする
@@ -4989,8 +5022,8 @@
                 strSQL.Append(", D.DepartmentCode");
                 strSQL.Append(", G.APPROVALCODE");
                 strSQL.Append(", IFNULL(G.APPROVALSTATUS, -1)");
-                strSQL.Append(", A.*");
-                strSQL.Append(", Btbl.*");
+                strSQL.AppendFormat(", {0}", IOConstructionBaseInfo.CreateFieldNameList("A."));
+                strSQL.AppendFormat(", {0}", IOPeriodAvoidance.CreateFieldNameList("Btbl."));
                 strSQL.Append(" FROM CONSTRUCTIONBASEINFO AS A");
 
                 // 工事検索時は検索画面の値をセットする
@@ -5610,9 +5643,21 @@
                 else
                     strSQL1.Append(", A.ConstructionYear");
 
-                strSQL1.Append(", B.DETAILNO, B.DETAILSTRING, A.ConstructionStatusFlg,");
-                strSQL1.Append(" A.EstimatesSubmitDeadline, C.PERSONNAME, D.PERSONNAME, E.PERSONNAME, F.PERSONNAME, D.DepartmentCode,");
-                strSQL1.Append(" G.APPROVALCODE, IFNULL(G.APPROVALSTATUS, -1), TRUNCATE(A.ConstructionCode / 100, 0), MOD(A.ConstructionCode ,100), A.*, Btbl.*");
+                strSQL1.Append(", B.DETAILNO");
+                strSQL1.Append(", B.DETAILSTRING");
+                strSQL1.Append(", A.ConstructionStatusFlg");
+                strSQL1.Append(", A.EstimatesSubmitDeadline");
+                strSQL1.Append(", C.PERSONNAME");
+                strSQL1.Append(", D.PERSONNAME");
+                strSQL1.Append(", E.PERSONNAME");
+                strSQL1.Append(", F.PERSONNAME");
+                strSQL1.Append(", D.DepartmentCode");
+                strSQL1.Append(", G.APPROVALCODE");
+                strSQL1.Append(", IFNULL(G.APPROVALSTATUS, -1)");
+                strSQL1.Append(", TRUNCATE(A.ConstructionCode / 100, 0)");
+                strSQL1.Append(", MOD(A.ConstructionCode ,100)");
+                strSQL1.AppendFormat(", {0}", IOConstructionBaseInfo.CreateFieldNameList("A."));
+                strSQL1.AppendFormat(", {0}", IOPeriodAvoidance.CreateFieldNameList("Btbl."));
 
                 strSQL1.Append(" FROM CONSTRUCTIONBASEINFO A");
 
@@ -6015,7 +6060,8 @@
                 strSQL.Append(", B.DETAILSTRING");
                 strSQL.Append(", A.ConstructionStatusFlg");
                 strSQL.Append(", A.EstimatesSubmitDeadline");
-                strSQL.Append(", C.PERSONNAME, A.* ");
+                strSQL.Append(", C.PERSONNAME");
+                strSQL.AppendFormat(", {0} ", IOConstructionBaseInfo.CreateFieldNameList("A."));
                 strSQL.Append(" FROM CONSTRUCTIONBASEINFO A");
 
                 // 工事検索時は検索画面の値をセットする
@@ -6286,7 +6332,8 @@
                 strSQL.Append(", A.ConstructionCompletionDate");
                 strSQL.Append(", C.PERSONNAME");
                 strSQL.Append(", D.PERSONNAME");
-                strSQL.Append(", A.*, Btbl.*");
+                strSQL.AppendFormat(", {0}", IOConstructionBaseInfo.CreateFieldNameList("A."));
+                strSQL.AppendFormat(", {0}", IOPeriodAvoidance.CreateFieldNameList("Btbl."));
                 strSQL.Append(" FROM CONSTRUCTIONBASEINFO A");
                 strSQL.Append(" LEFT JOIN  PERSONINCHARGEMASTER D");
                 strSQL.Append(" ON D.PERSONCODE = A.CONSTRUCTIONPERSONCODE");
Index: trunk/src/ProcessManagement/ProcessManagement/ProcessManagement.csproj
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/ProcessManagement.csproj	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/ProcessManagement.csproj	(revision 484)
@@ -362,6 +362,15 @@
     <Compile Include="Forms\DataEntry\ApprovalScreen\FrmInputDate.Designer.cs">
       <DependentUpon>FrmInputDate.cs</DependentUpon>
     </Compile>
+    <Compile Include="Forms\DataEntry\AverageScore\FrmAverageScoreAux.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="Forms\DataEntry\AverageScore\FrmAverageScore.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="Forms\DataEntry\AverageScore\FrmAverageScore.designer.cs">
+      <DependentUpon>FrmAverageScore.cs</DependentUpon>
+    </Compile>
     <Compile Include="Forms\DataEntry\ConstructionBaseInfo\DataChange.cs">
       <SubType>Form</SubType>
     </Compile>
@@ -1047,6 +1056,15 @@
     <Compile Include="Forms\Master\Department\FrmDepartmentAux.cs">
       <SubType>Form</SubType>
     </Compile>
+    <Compile Include="Forms\Master\EvalScore\FrmEvalScoreAux.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="Forms\Master\EvalScore\FrmEvalScore.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="Forms\Master\EvalScore\FrmEvalScore.designer.cs">
+      <DependentUpon>FrmEvalScore.cs</DependentUpon>
+    </Compile>
     <Compile Include="Forms\Master\Material\MaterialItemsMaster\FrmMaterialItemsMaster.cs">
       <SubType>Form</SubType>
     </Compile>
@@ -1754,6 +1772,9 @@
     <EmbeddedResource Include="Forms\DataEntry\ApprovalScreen\FrmInputDate.resx">
       <DependentUpon>FrmInputDate.cs</DependentUpon>
     </EmbeddedResource>
+    <EmbeddedResource Include="Forms\DataEntry\AverageScore\FrmAverageScore.resx">
+      <DependentUpon>FrmAverageScore.cs</DependentUpon>
+    </EmbeddedResource>
     <EmbeddedResource Include="Forms\DataEntry\ConstructionBaseInfo\FrmBillDateInfo.resx">
       <DependentUpon>FrmBillDateInfo.cs</DependentUpon>
     </EmbeddedResource>
@@ -1934,6 +1955,9 @@
     <EmbeddedResource Include="Forms\Master\CompTypeLink\FrmCompTypeLink.resx">
       <DependentUpon>FrmCompTypeLink.cs</DependentUpon>
     </EmbeddedResource>
+    <EmbeddedResource Include="Forms\Master\EvalScore\FrmEvalScore.resx">
+      <DependentUpon>FrmEvalScore.cs</DependentUpon>
+    </EmbeddedResource>
     <EmbeddedResource Include="Forms\Master\Material\MaterialItemsMaster\FrmMaterialItemsMaster.resx">
       <DependentUpon>FrmMaterialItemsMaster.cs</DependentUpon>
     </EmbeddedResource>
@@ -2389,6 +2413,12 @@
     <None Include="OperationManual\136.pdf">
       <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
     </None>
+    <None Include="OperationManual\137.pdf">
+      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
+    </None>
+    <None Include="OperationManual\138.pdf">
+      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
+    </None>
     <None Include="OperationManual\14.pdf">
       <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
     </None>
